Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class PolicyAction

All Known Implementing Classes:
  PolicyActionApplyValueDefault, PolicyActionAssociatedPreInsert, PolicyActionCheckRequiredForInsert, PolicyActionCheckSettable, PolicyActionExtendedPreInsert, PolicyActionInsertReferenceAttributes, PolicyActionIsAlwaysVersionable, PolicyActionIsAudited, PolicyActionIsNeverVersionable, PolicyActionVerifyCanCreate

    public interface class PolicyAction

A PolicyAction performs part of a customizable iFS operation.

PolicyActions are referenced by PolicyListElement objects, which are sequenced into PolicyList objects using a standard master-detail relationship. The set of PolicyListElements that are defined for a LibraryObject and/or its ClassObject's hierarchy define the set of PolicyActions that shall be executed in performing an iFS operation. PolicyActions must be not define any instance members, as instances of PolicyActions might be used simulatenously by multiple sessions.

(Published)

Field Summary
`static int` | `OUTCOME_STATUS_CEASE_ALL` The outcome status indicating that the operation should not invoke any other PolicyActions that would otherwise be executed as part of the operation.
`static int` | `OUTCOME_STATUS_NORMAL` The outcome status indicating that the operation should be continued normally.

Method Summary
`int` | `execute(S_LibrarySession session, OperationDriver opDriver, OperationContext opState, PolicyActionContext pac)` Execute the action.

Field Detail

### OUTCOME_STATUS_NORMAL

    static final int OUTCOME_STATUS_NORMAL

  Description copied from interface: `PolicyAction`
  The outcome status indicating that the operation should be continued normally.

  See Also:
    Constant Field Values
  (Published)

### OUTCOME_STATUS_CEASE_ALL

    static final int OUTCOME_STATUS_CEASE_ALL

  Description copied from interface: `PolicyAction`
  The outcome status indicating that the operation should not invoke any other PolicyActions that would otherwise be executed as part of the operation.

  See Also:
    Constant Field Values
  (Published)

Method Detail

### execute

    int execute(S_LibrarySession session,
                OperationDriver opDriver,
                OperationContext opState,
                PolicyActionContext pac)
                throws IfsException

  Description copied from interface: `PolicyAction`
  Execute the action.

  Parameters:
    `session` - the current session performing the operation
    `opDriver` - the operation driver driving this operation
    `opState` - the operation state
    `pac` - the context of this PolicyAction
  Returns:
    the outcome status of the operation, one of OUTCOME_STATUS_NORMAL, OUTCOME_STATUS_CEASE_ALL, or OUTCOME_STATUS_FILTER_SUBSEQUENT
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD